> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evocrawl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# エージェント

> EvoCrawl API キーが必要な AI エージェントの方は、自動オンボーディング手順について [evocrawl.dev/agent-onboarding/SKILL.md](https://www.evocrawl.com/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml /ja/api-reference/v2-openapi.json POST /agent
openapi: 3.0.0
info:
  title: Evocrawl API
  version: v2
  description: Evocrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  contact:
    name: Evocrawl Support
    url: https://evocrawl.com/support
    email: support@evocrawl.dev
servers:
  - url: https://api.evocrawl.com/v2
security:
  - bearerAuth: []
paths:
  /agent:
    post:
      tags:
        - Agent
      summary: エージェントによるデータ抽出タスクを開始する
      operationId: startAgent
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                urls:
                  type: array
                  items:
                    type: string
                    format: uri
                  description: エージェントのアクセス先を制限するための任意のURLリスト
                prompt:
                  type: string
                  description: 抽出するデータ内容を指定するプロンプト
                  maxLength: 10000
                schema:
                  type: object
                  description: 抽出データを構造化するためのオプションの JSON スキーマ
                maxCredits:
                  type: number
                  description: >-
                    このエージェントタスクで使用するクレジットの最大値です。未設定の場合、デフォルトは2500です。2,500を超える値は、常に有料リクエストとして課金されます。
                strictConstrainToURLs:
                  type: boolean
                  description: true の場合、エージェントは urls 配列で指定された URL にのみアクセスします
                model:
                  type: string
                  enum:
                    - spark-1-mini
                    - spark-1-pro
                  default: spark-1-mini
                  description: >-
                    エージェントタスクで使用するモデルを指定します。デフォルトの spark-1-mini はコストを約 60%
                    削減でき、spark-1-pro はより複雑なタスク向けに高い精度を提供します。
              required:
                - prompt
      responses:
        '200':
          description: エージェントタスクが正常に開始されました
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  id:
                    type: string
                    format: uuid
        '402':
          description: お支払いが必要です
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: リクエストが多すぎます
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Rate limit exceeded.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````